;InnoSetupVersion=5.0.4

[Setup]
AppName=PcBoost
AppVerName=PcBoost
AppId=PcBoost
AppVersion=3.2.7.2005
AppPublisher=PGWARE LLC
AppPublisherURL=http://www.pgware.com
AppSupportURL=http://www.pgware.com/support/
AppUpdatesURL=http://www.pgware.com/downloads/
AppMutex=PcBoostMutex
DefaultDirName={pf}\PcBoost
DefaultGroupName=PcBoost
UninstallDisplayIcon={app}\PcBoost.exe
UninstallDisplayName=PcBoost
OutputBaseFilename=pcboost
Compression=lzma
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\PcBoost.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\PcBoost.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ReadMe.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\History.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\PGWARE\PcBoost"; ValueName: "License"; ValueType: Dword; ValueData: "$1"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "PcBoost"; ValueType: String; ValueData: """{app}\PcBoost.exe"" /start"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\PcBoost.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com"; 
FileName: "{app}\Store.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com/store/"; 
FileName: "{app}\Support.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.pgware.com/support/"; 

[Run]
Filename: "{app}\PcBoost.exe"; Parameters: "/notify"; Description: "Launch PcBoost"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PcBoost"; Filename: "{app}\PcBoost.exe"; Comment: "PcBoost"; 
Name: "{group}\PcBoost Help"; Filename: "{app}\PcBoost.chm"; Comment: "PcBoost Help"; 
Name: "{group}\PcBoost Homepage"; Filename: "{app}\PcBoost.url"; Comment: "PcBoost Homepage"; 
Name: "{group}\PcBoost Support"; Filename: "{app}\Support.url"; Comment: "PcBoost Support"; 
Name: "{commondesktop}\PcBoost 3"; Filename: "{app}\PcBoost.exe"; Comment: "PcBoost 3"; Tasks: desktopicon; 
Name: "{commondesktop}\PGWARE Online Store"; Filename: "{app}\Store.url"; Comment: "PGWARE Online Store"; Tasks: desktopicon; 
Name: "{commonappdata}\Microsoft\Internet Explorer\Quick Launch\PcBoost 3"; Filename: "{app}\PcBoost.exe"; Comment: "PcBoost 3"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\PcBoost.url"; 
Type: files; Name: "{app}\Store.url"; 
Type: files; Name: "{app}\Support.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
